import request from '../index'
const prefix = 'busWellInfo'

// 查询点位列表 分页
export function getLocateList(data: any) {
  return request({
    url: `${prefix}/list?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 查询产品详情
export function detailProduct(data: object) {
  return request({
    url: `${prefix}/detail`,
    method: 'post',
    data,
  })
}
// 资源树列表
export function getResourceTreeList() {
  return request({
    url: `${prefix}/resource/tree`,
    method: 'get',
  })
}

// 资源类型列表
export function getResourceTypeList() {
  return request({
    url: `${prefix}/dict/code/resourceType`,
    method: 'get',
  })
}

// 添加产品
export function addProduct(data: object) {
  return request({
    url: `${prefix}/add`,
    method: 'post',
    data,
  })
}
// 修改产品
export function updateProduct(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}
// 删除产品
export function delProduct(id: string) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data: {
      ids: [id],
    },
  })
}
